# Intellectual Properties and Parodies

Some works borrow the world from established sources (_Kantai Collection_, _The Idolmaster_), some build their own world.

Initially it is probably adequate to only implement the labelling of parodies.

## Parodies

An author's work can only have characters of an established world, can only take place in the established world, or both.

In each case the work needs to be findable by the name of the original source. **Would there be a point in allowing users to search for an established world but specifying that it doesn't involve its characters?**

## Intellectual Properties

Every original work is automatically a world in its own right. Therefore parodies of it are possible. I have yet to find an example.

Another case is an author who writes multiple works in their established world, without them being a series (e.g. _Michiking_ with his two _The Older Sister Experience_ Series). The user should still have a way to connect these two series.

What I am basically saying, is: **Should every work that is not a parody of an established world, be automatically an entrance in its own established world?**

This would require giving a name to the world and starting to label entrances into any established world as either parody or original/canon.
