# Workspace Folder

This is the folder in which the design of the application takes place. There is no real structure. If you can not work with the existing structure, refactor it or do your work completely outside of git and then open an issue or write an email.

Update this README to fit your changes.

All of this is included in the git repository because if the host site is switched, issues get lost but the repository is backed up by each contributor.

## [Ideas Folder](ideas)

The ideas folder is a catch-all place for anything you might want to contribute. When an idea is fleshed out enough, it can transfer into the [features folder](features).

## [GUI](gui)

Everything related to the design of the graphical user interface goes there.

## [Icon](icon)

This is for the branding of the application, I wanted to include every file which lead to the final icon. The current icon is highly ephemeral, do your own if you want to.

## [Database Schema](schema)

Everything related to the data model goes there.

## [Features](features)

Concrete feature descriptions go there.
